Package com.usatiuk.utils

# Class HashSetDelayedBlockingQueue<T>

java.lang.Object
com.usatiuk.utils.HashSetDelayedBlockingQueue<T>

public class HashSetDelayedBlockingQueue<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`HashSetDelayedBlockingQueue(long delay)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`add(T el)`
`T`
`addNoDelay(T el)`
`Collection<T>`
`close()`
`T`
`get()`
`T`
`get(long timeout)`
`Collection<T>`
`getAll()`
`Collection<T>`
`getAllWait()`
`Collection<T>`
`getAllWait(int max)`
`Collection<T>`
`getAllWait(int max, long timeout)`
`long`
`getDelay()`
`boolean`
`hasImmediate()`
`T`
`merge(T el, Function<T,T> transformer)`
`T`
`readd(T el)`
`T`
`remove(T el)`
`void`
`setDelay(long delay)`
`T`
`tryGet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HashSetDelayedBlockingQueue

public HashSetDelayedBlockingQueue(long delay)

## Method Details

### getDelay

public long getDelay()

### setDelay

public void setDelay(long delay)

### add

public boolean add(T el)

### addNoDelay

public T addNoDelay(T el)

### readd

public T readd(T el)

### merge

public T merge(T el, Function<T,T> transformer)

### remove

public T remove(T el)

### get

public T get(long timeout) throws InterruptedException

Throws:
  `InterruptedException`

### get

public T get() throws InterruptedException

Throws:
  `InterruptedException`

### hasImmediate

public boolean hasImmediate()

### tryGet

@Nullable public T tryGet()

### getAll

public Collection<T> getAll()

### close

public Collection<T> close()

### getAllWait

public Collection<T> getAllWait() throws InterruptedException

Throws:
  `InterruptedException`

### getAllWait

public Collection<T> getAllWait(int max) throws InterruptedException

Throws:
  `InterruptedException`

### getAllWait

public Collection<T> getAllWait(int max, long timeout) throws InterruptedException

Throws:
  `InterruptedException`